package cn.zhangdeman.consts;

// 记录的各种字段枚举值
public class RecordField {
    public static final String TRACE_ID = "trace_id"; // trace_id
    public static final String REQUEST_ID = "request_id"; // request_id
    public static final String START_TIMESTAMP = "start_timestamp"; // 开始请求时间
    public static final String FINISH_TIMESTAMP = "finish_timestamp"; // 完成请求时间
    public static final String SERVER_IP = "server_ip"; // 服务器IP
    public static final String SERVER_HOSTNAME = "server_hostname"; // 服务器名称
    public static final String COST = "cost"; // 请求耗时
    public static final String CONTEXT_DATA = "context_data"; // 本条日志的上下文信息
    // 请求信息
    public static final String REQUEST_INFO = "request_info"; // 请求信息
    public static final String REQUEST_UA = "user_agent"; // 请求ua
    public static final String REQUEST_CLIENT_IP = "client_ip"; // 请求客户端
    public static final String REQUEST_METHOD = "method"; // 请求方法
    public static final String REQUEST_CONTENT_TYPE = "content_type"; // 请求类型
    public static final String REQUEST_QUERY = "_query"; // query参数
    public static final String REQUEST_BODY = "body"; // body参数
    public static final String REQUEST_HEADER = "header"; // header参数
    public static final String REQUEST_COOKIE = "cookie"; // cookie参数
    public static final String REQUEST_PATH_PARAM = "path_param"; // path参数
    public static final String REQUEST_SIZE = "size"; // 参数大小
    public static final String REQUEST_URI = "uri"; // 请求接口

    public static final String RUNTIME_THREAD_CONTEXT = "runtime_thread_context"; // 运行时线程上下文

    public static final String RESPONSE_INFO = "response_data"; // 接口响应数据
    public static final String RESPONSE_CODE = "code"; // 接口响应数据状态码
    public static final String RESPONSE_MESSAGE = "message"; // 接口响应数据状态码描述
    public static final String RESPONSE_DATA = "data"; // 接口响应数据
    public static final String RESPONSE_ERROR_DETAIL = "err_detail"; // 异常详细信息
    public static final String RESPONSE_HTTP_CODE = "http_code"; // 苍蝇状态码,默认200
    public static final String RESPONSE_HEADER = "header"; // 响应header
    public static final String RESPONSE_COOKIE = "cookie"; // 响应header


    public static final String LOGGER_TYPE = "log_type"; // 日志类型
    public static final String TIMESTAMP = "timestamp"; // 时间戳
    public static final String TIME_FORMAT = "time_format"; // 格式化时间
}
