package cn.zhangdeman.logger;

import cn.zhangdeman.consts.RecordField;
import cn.zhangdeman.context.Request;
import cn.zhangdeman.context.Response;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Map;

// 日志数据结构
@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true) // 忽略未知属性字段
public class LogData {
    @JsonProperty(RecordField.LOGGER_TYPE)
    private String LogType;
    @JsonProperty(RecordField.REQUEST_ID)
    private String requestId; // 本次请求request id
    @JsonProperty(RecordField.COST)
    private Long cost; // 请求耗时
    @JsonProperty(RecordField.SERVER_IP)
    private String serverIp; // 服务器Ip
    @JsonProperty(RecordField.SERVER_HOSTNAME)
    private String serverHostname; // 服务器hostname
    @JsonProperty(RecordField.FINISH_TIMESTAMP)
    private Long finishTimeStamp; // 完成请求时间
    @JsonProperty(RecordField.TRACE_ID)
    private String traceId; // 全局trace id
    @JsonProperty(RecordField.START_TIMESTAMP)
    private Long startTimeStamp; // 开始请求时间
    @JsonProperty(RecordField.CONTEXT_DATA)
    private Map<String, Object> logData; // 本条日志的上下文信息
    @JsonProperty(RecordField.REQUEST_INFO)
    private Request requestInfo;// 请求信息
    @JsonProperty(RecordField.RESPONSE_INFO)
    private Response responseInfo; // 响应信息
}
